Returns an object for BSON serialization

- « MongoDB\Driver\ServerApi

- MongoDB\Driver\ServerApi::__construct »

- PHP Manual
- MongoDB\Driver\ServerApi
- Returns an object for BSON serialization

# MongoDB\Driver\ServerApi::bsonSerialize

(mongodb >=1.10.0)

MongoDB\Driver\ServerApi::bsonSerialize — Returns an object for BSON serialization

### Description

final public MongoDB\Driver\ServerApi::bsonSerialize(): stdClass

### Parameters

This function has no parameters.

### Return Values

Returns an object for serializing the ServerApi as BSON.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\BSON\Serializable::bsonSerialize() - Provides an array or document to serialize as BSON